package com.wd.workoffice.ui.adapter;


import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.EditText;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.FactoryDetailBean;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class UserDataAdd3AddAdapter extends BaseQuickAdapter<FactoryDetailBean.SteelFurnListBean, BaseViewHolder> {

    public UserDataAdd3AddAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, FactoryDetailBean.SteelFurnListBean item) {
        View content = helper.getView(R.id.ll_content);
        helper.setOnClickListener(R.id.rl_title, new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (content.getVisibility() == View.VISIBLE) {
                    content.setVisibility(View.GONE);
                } else {
                    content.setVisibility(View.VISIBLE);
                }
            }
        });
        helper.addOnClickListener(R.id.tv_delete);
        helper.setText(R.id.et_name, "炼钢炉");
        helper.setText(R.id.et_content1, item.getType());
        helper.setText(R.id.et_content2, item.getCapacity());
        EditText etContent1 = helper.getView(R.id.et_content1);
        EditText etContent2 = helper.getView(R.id.et_content2);
        etContent1.addTextChangedListener(new TextWatcher() {
            @Override
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {

            }

            @Override
            public void onTextChanged(CharSequence s, int start, int before, int count) {

            }

            @Override
            public void afterTextChanged(Editable s) {
                item.setType(s.toString());
            }
        });
        etContent2.addTextChangedListener(new TextWatcher() {
            @Override
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {

            }

            @Override
            public void onTextChanged(CharSequence s, int start, int before, int count) {

            }

            @Override
            public void afterTextChanged(Editable s) {
                item.setCapacity(s.toString());
            }
        });
    }
}

